Attachments/Categories
List attachment categories
Returns a paginated list of attachment categories with optional counts.
AuthorizationBearer <token>
In: header
Query Parameters
include_private?boolean
get_counts?boolean
is_active?boolean
name?string
page?integer
Page number. Default 1; a value below 1 counts as 1.
Default
1Range
1 <= valuelimit?integer
Items per page. Default 50, maximum 250; a larger value is truncated to 250.
Default
50Range
1 <= value <= 250Response Body
curl -X GET "https://og-tenant1.test:8003/api/v2/attachments/categories?include_private=true&get_counts=true&is_active=true&name=string&page=1&limit=50"{
"data": [
{
"id": 0,
"name": "string",
"is_active": true,
"attachments_count": 0
}
],
"meta": {
"per_page": 50,
"current_page": 1,
"has_more": true
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}